Logo

Docs

Albums

Get Album Relationships

Fetch an album's tracks or artists.

Albums expose two dedicated relationship endpoints.

Endpoint references:

Relationship Endpoints

RelationshipEndpointResponse
TracksGET /albums/{id}/rel/tracksSongListResponse
ArtistsGET /albums/{id}/rel/artistsArtistListResponse

Path Parameters

NameDescriptionTypeExample
idAlbum idstringalbum_123

Query Parameters

Scoped parameters like view[...] and limit[...] can shape included relationships.

Tracks

GET /albums/{id}/rel/tracks

NameValuesRequired
langlocale stringfalse
includealbums, artistsfalse
viewminimalfalse
view[songs]minimalfalse
view[albums]minimalfalse
view[artists]minimalfalse
limit[albums]1-25false
limit[artists]1-25false

Artists

GET /albums/{id}/rel/artists

NameValuesRequired
langlocale stringfalse
includealbumsfalse
viewminimalfalse
view[artists]minimalfalse
view[albums]minimalfalse
limit[albums]1-25false

Responses

On this page